Merged update from upstream sources

This is an automated DistroBaker update from upstream sources.
If you do not know what this is about or would like to opt out,
contact the OSCI team.

Source: https://src.fedoraproject.org/rpms/bacula.git#15230d8a0dc0f00e0222a5dcb2c14c2c00dee3f8
This commit is contained in:
DistroBaker 2021-01-12 09:46:45 +00:00
parent 29d1ad8296
commit 0a840e1326
7 changed files with 12 additions and 1085 deletions

1
.gitignore vendored
View File

@ -51,3 +51,4 @@ bacula-docs-5.0.3.tar.bz2
/bacula-9.6.3.tar.gz
/bacula-9.6.5.tar.gz
/bacula-9.6.6.tar.gz
/bacula-9.6.7.tar.gz

View File

@ -1,115 +0,0 @@
#!/bin/sh
#
# bacula-dir Takes care of starting and stopping the Bacula Director.
#
# chkconfig: - 80 20
# description: The Bacula Director is the daemon responsible for all the logic \
# regarding the backup infrastructure: database, file retention, \
# tape indexing, scheduling.
### BEGIN INIT INFO
# Required-Start: $local_fs $network
# Required-Stop: $local_fs $network
# Default-Start: 3 4 5
# Default-Stop: 0 1 2 6
# Short-Description: Bacula Director Daemon.
# Description: The Bacula Director is the daemon responsible for all the logic
# regarding the backup infrastructure: database, file retention,
# tape indexing, scheduling.
### END INIT INFO
# Source function library.
. /etc/rc.d/init.d/functions
exec="/usr/sbin/bacula-dir"
prog="bacula-dir"
CONFIG="/etc/bacula/bacula-dir.conf"
OPTS="-c $CONFIG"
[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
lockfile=/var/lock/subsys/$prog
if [ "$DIR_USER" != '' ]; then
OPTS="$OPTS -u $DIR_USER"
fi
if [ "$DIR_GROUP" != '' ]; then
OPTS="$OPTS -g $DIR_GROUP"
fi
start() {
[ -x $exec ] || exit 5
[ -f $config ] || exit 6
echo -n $"Starting $prog: "
daemon $prog $OPTS
retval=$?
echo
[ $retval -eq 0 ] && touch $lockfile
return $retval
}
stop() {
echo -n $"Stopping $prog: "
killproc $prog
retval=$?
echo
[ $retval -eq 0 ] && rm -f $lockfile
return $retval
}
restart() {
stop
sleep 1
start
}
reload() {
restart
}
force_reload() {
restart
}
rh_status() {
# run checks to determine if the service is running or use generic status
status $prog
}
rh_status_q() {
rh_status >/dev/null 2>&1
}
case "$1" in
start)
rh_status_q && exit 0
$1
;;
stop)
rh_status_q || exit 0
$1
;;
restart)
$1
;;
reload)
rh_status_q || exit 7
$1
;;
force-reload)
force_reload
;;
status)
rh_status
;;
condrestart|try-restart)
rh_status_q || exit 0
restart
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
exit 2
esac
exit $?

View File

@ -1,113 +0,0 @@
#!/bin/sh
#
# bacula-fd Takes care of starting and stopping the Bacula File Daemon.
#
# chkconfig: - 80 20
# description: The Bacula File Daemon is the daemon responsible for backing up \
# data on the system.
### BEGIN INIT INFO
# Required-Start: $local_fs $network
# Required-Stop: $local_fs $network
# Default-Start: 3 4 5
# Default-Stop: 0 1 2 6
# Short-Description: Bacula File Daemon.
# Description: The Bacula File Daemon is the daemon responsible for backing up
# data on the system.
### END INIT INFO
# Source function library.
. /etc/rc.d/init.d/functions
exec="/usr/sbin/bacula-fd"
prog="bacula-fd"
CONFIG="/etc/bacula/bacula-fd.conf"
OPTS="-c $CONFIG"
[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
lockfile=/var/lock/subsys/$prog
if [ "$FD_USER" != '' ]; then
OPTS="$OPTS -u $FD_USER"
fi
if [ "$FD_GROUP" != '' ]; then
OPTS="$OPTS -g $FD_GROUP"
fi
start() {
[ -x $exec ] || exit 5
[ -f $config ] || exit 6
echo -n $"Starting $prog: "
daemon $prog $OPTS
retval=$?
echo
[ $retval -eq 0 ] && touch $lockfile
return $retval
}
stop() {
echo -n $"Stopping $prog: "
killproc $prog
retval=$?
echo
[ $retval -eq 0 ] && rm -f $lockfile
return $retval
}
restart() {
stop
sleep 1
start
}
reload() {
restart
}
force_reload() {
restart
}
rh_status() {
# run checks to determine if the service is running or use generic status
status $prog
}
rh_status_q() {
rh_status >/dev/null 2>&1
}
case "$1" in
start)
rh_status_q && exit 0
$1
;;
stop)
rh_status_q || exit 0
$1
;;
restart)
$1
;;
reload)
rh_status_q || exit 7
$1
;;
force-reload)
force_reload
;;
status)
rh_status
;;
condrestart|try-restart)
rh_status_q || exit 0
restart
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
exit 2
esac
exit $?

View File

@ -1,25 +0,0 @@
From 7cdb9950acdc87e66364d3e02ad53bd078c01218 Mon Sep 17 00:00:00 2001
From: Vaclav Dolezal <vdolezal@redhat.com>
Date: Mon, 10 Feb 2020 11:07:50 +0100
Subject: [PATCH] Fix FTBFS (#1799185)
---
src/findlib/fstype.c | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/src/findlib/fstype.c b/src/findlib/fstype.c
index 107f7a877..3a9a5ed59 100644
--- a/src/findlib/fstype.c
+++ b/src/findlib/fstype.c
@@ -188,7 +188,7 @@ bool fstype(FF_PKT *ff_pkt, char *fs, int fslen)
*
* $ grep -r SUPER_MAGIC /usr/include/linux
*/
- switch (st.f_type) {
+ switch ((unsigned int) st.f_type) {
/* Known good values */
/* ext2, ext3, and ext4 have the same code */
case 0xef53: fstype = "ext2"; break; /* EXT2_SUPER_MAGIC */
--
2.20.1

View File

@ -1,115 +0,0 @@
#!/bin/sh
#
# bacula-sd Takes care of starting and stopping the Bacula Storage Daemon.
#
# chkconfig: - 80 20
# description: The Bacula Storage Daemon is the daemon responsible for saving \
# backed up data on the various File Daemon to the appropriate \
# storage devices.
### BEGIN INIT INFO
# Required-Start: $local_fs $network
# Required-Stop: $local_fs $network
# Default-Start: 3 4 5
# Default-Stop: 0 1 2 6
# Short-Description: Bacula Storage Daemon.
# Description: The Bacula Storage Daemon is the daemon responsible for saving
# backed up data on the various File Daemon to the appropriate
# storage devices.
### END INIT INFO
# Source function library.
. /etc/init.d/functions
exec="/usr/sbin/bacula-sd"
prog="bacula-sd"
CONFIG="/etc/bacula/bacula-sd.conf"
OPTS="-c $CONFIG"
[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
lockfile=/var/lock/subsys/$prog
if [ "$SD_USER" != '' ]; then
OPTS="$OPTS -u $SD_USER"
fi
if [ "$SD_GROUP" != '' ]; then
OPTS="$OPTS -g $SD_GROUP"
fi
start() {
[ -x $exec ] || exit 5
[ -f $config ] || exit 6
echo -n $"Starting $prog: "
daemon $prog $OPTS
retval=$?
echo
[ $retval -eq 0 ] && touch $lockfile
return $retval
}
stop() {
echo -n $"Stopping $prog: "
killproc $prog
retval=$?
echo
[ $retval -eq 0 ] && rm -f $lockfile
return $retval
}
restart() {
stop
sleep 2
start
}
reload() {
restart
}
force_reload() {
restart
}
rh_status() {
# run checks to determine if the service is running or use generic status
status $prog
}
rh_status_q() {
rh_status >/dev/null 2>&1
}
case "$1" in
start)
rh_status_q && exit 0
$1
;;
stop)
rh_status_q || exit 0
$1
;;
restart)
$1
;;
reload)
rh_status_q || exit 7
$1
;;
force-reload)
force_reload
;;
status)
rh_status
;;
condrestart|try-restart)
rh_status_q || exit 0
restart
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
exit 2
esac
exit $?

View File

@ -2,7 +2,7 @@
%global username bacula
Name: bacula
Version: 9.6.6
Version: 9.6.7
Release: 1%{?dist}
Summary: Cross platform network backup for Linux, Unix, Mac and Windows
# See LICENSE for details
@ -16,9 +16,6 @@ Source3: quickstart_mysql.txt
Source4: quickstart_sqlite3.txt
Source5: README.Redhat
Source6: %{name}.logrotate
Source7: %{name}-fd.init
Source8: %{name}-dir.init
Source9: %{name}-sd.init
Source10: %{name}-fd.service
Source11: %{name}-dir.service
Source12: %{name}-sd.service
@ -34,10 +31,8 @@ Patch4: %{name}-bat-build.patch
Patch5: %{name}-seg-fault.patch
Patch6: %{name}-logwatch.patch
Patch7: %{name}-non-free-code.patch
# desktop-file-install not supported on RHEL 6
Patch8: %{name}-desktop.patch
Patch9: %{name}-g++-options.patch
Patch11: %{name}-ftbfs-f_type.patch
Patch12: %{name}-install.patch
# Original patch removed by mistake, upstream is not willing to add it again:
# http://www.bacula.org/git/cgit.cgi/bacula/commit/?h=Branch-7.0&id=51b3b98fb77ab3c0decee455cc6c4d2eb3c5303a
@ -61,18 +56,14 @@ BuildRequires: libstdc++-devel
BuildRequires: libxml2-devel
BuildRequires: libcap-devel
BuildRequires: lzo-devel
BuildRequires: make
BuildRequires: ncurses-devel
BuildRequires: openssl-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: readline-devel
BuildRequires: sqlite-devel
BuildRequires: zlib-devel
%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires: qt5-qtbase-devel
BuildRequires: systemd
%else
BuildRequires: qt4-devel >= 4.6.2
%endif
BuildRequires: zlib-devel
%if 0%{?fedora} || 0%{?rhel} > 7
BuildRequires: mariadb-connector-c-devel
@ -84,7 +75,7 @@ BuildRequires: perl
BuildRequires: tcp_wrappers-devel
%endif
%if 0%{?fedora} >= 30
%if 0%{?fedora}
BuildRequires: libpq-devel
%else
BuildRequires: postgresql-devel
@ -99,7 +90,6 @@ to find and recover lost or damaged files.
%package libs
Summary: Bacula libraries
Obsoletes: bacula-sysconfdir <= 2.4
%description libs
Bacula is a set of programs that allow you to manage the backup,
@ -129,7 +119,6 @@ alternatives system.
%package common
Summary: Common Bacula files
Obsoletes: bacula-sysconfdir <= 2.4
Provides: group(%username) = %uid
Provides: user(%username) = %uid
Requires: bacula-libs%{?_isa} = %{version}-%{release}
@ -158,18 +147,9 @@ Obsoletes: bacula-director-sqlite < 5.2.3-5
Provides: bacula-director-postgresql = %{version}-%{release}
Obsoletes: bacula-director-postgresql < 5.2.3-5
%if 0%{?fedora} || 0%{?rhel} >= 7
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
%endif
%if 0%{?rhel} == 6
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service
%endif
%description director
Bacula is a set of programs that allow you to manage the backup, recovery, and
@ -208,18 +188,9 @@ Obsoletes: bacula-storage-sqlite < 5.2.0
Provides: bacula-storage-postgresql = %{version}-%{release}
Obsoletes: bacula-storage-postgresql < 5.2.0
%if 0%{?fedora} || 0%{?rhel} >= 7
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
%endif
%if 0%{?rhel} == 6
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service
%endif
%description storage
Bacula is a set of programs that allow you to manage the backup, recovery, and
@ -235,18 +206,9 @@ Summary: Bacula backup client
Requires: bacula-common%{?_isa} = %{version}-%{release}
Requires: bacula-libs%{?_isa} = %{version}-%{release}
%if 0%{?fedora} || 0%{?rhel} >= 7
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
%endif
%if 0%{?rhel} == 6
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service
%endif
%description client
Bacula is a set of programs that allow you to manage the backup, recovery, and
@ -258,7 +220,6 @@ backed up.
%package console
Summary: Bacula management console
Obsoletes: bacula-console-gnome <= 2.4
Obsoletes: bacula-console-wxwidgets <= 5.0.3
Requires: bacula-libs%{?_isa} = %{version}-%{release}
@ -333,11 +294,7 @@ find updatedb -type f | xargs chmod -x
%build
export CFLAGS="%{optflags} -I%{_includedir}/ncurses"
export CPPFLAGS="%{optflags} -I%{_includedir}/ncurses"
%if 0%{?fedora} || 0%{?rhel} >= 7
export PATH="$PATH:%{_qt5_bindir}"
%else
export PATH="$PATH:%{_qt4_bindir}"
%endif
%configure \
--disable-conio \
@ -386,11 +343,7 @@ sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build -C examples/nagios/check_bacula
pushd src/qt-console/tray-monitor
%if 0%{?fedora} || 0%{?rhel} >= 7
%{?qmake_qt5}%{!?qmake_qt5:qmake-qt5} tray-monitor.pro
%else
%{?qmake_qt4}%{!?qmake_qt4:qmake-qt4} tray-monitor.pro
%endif
%make_build
popd
@ -410,11 +363,6 @@ install -p -m 644 -D src/qt-console/images/bat_icon.png %{buildroot}%{_datadir}/
install -p -m 644 -D scripts/bat.desktop %{buildroot}%{_datadir}/applications/bat.desktop
install -p -m 755 -D src/qt-console/.libs/bat %{buildroot}%{_sbindir}/bat
%if 0%{?rhel} == 6
install -p -m 755 -D src/qt-console/tray-monitor/.libs/bacula-tray-monitor %{buildroot}%{_sbindir}/bacula-tray-monitor
install -p -m 644 -D src/qt-console/tray-monitor/bacula-tray-monitor.conf %{buildroot}%{_sysconfdir}/%{name}/bacula-tray-monitor.conf
%endif
install -p -m 644 -D manpages/bacula-tray-monitor.1 %{buildroot}%{_mandir}/man1/bacula-tray-monitor.1
install -p -m 644 -D %{SOURCE19} %{buildroot}%{_datadir}/pixmaps/bacula-tray-monitor.png
install -p -m 644 -D scripts/bacula-tray-monitor.desktop %{buildroot}%{_datadir}/applications/bacula-tray-monitor.desktop
@ -429,18 +377,11 @@ install -p -m 755 -D scripts/logwatch/applybaculadate %{buildroot}%{_sysconfdir}
install -p -m 644 -D scripts/logwatch/logfile.bacula.conf %{buildroot}%{_sysconfdir}/logwatch/conf/logfiles/bacula.conf
install -p -m 644 -D scripts/logwatch/services.bacula.conf %{buildroot}%{_sysconfdir}/logwatch/conf/services/bacula.conf
%if 0%{?fedora} || 0%{?rhel} >= 7
# Systemd unit files
mkdir -p %{buildroot}%{_unitdir}
install -p -m 644 -D %{SOURCE10} %{buildroot}%{_unitdir}/bacula-fd.service
install -p -m 644 -D %{SOURCE11} %{buildroot}%{_unitdir}/bacula-dir.service
install -p -m 644 -D %{SOURCE12} %{buildroot}%{_unitdir}/bacula-sd.service
%else
# Initscripts
install -p -m 755 -D %{SOURCE7} %{buildroot}%{_initrddir}/bacula-fd
install -p -m 755 -D %{SOURCE8} %{buildroot}%{_initrddir}/bacula-dir
install -p -m 755 -D %{SOURCE9} %{buildroot}%{_initrddir}/bacula-sd
%endif
# Sysconfig
install -p -m 644 -D %{SOURCE15} %{buildroot}%{_sysconfdir}/sysconfig/bacula-fd
@ -499,8 +440,6 @@ getent passwd %username >/dev/null || useradd -u %uid -r -s /sbin/nologin \
-d /var/spool/bacula -M -c 'Bacula Backup System' -g %username %username &>/dev/null || :
exit 0
%if 0%{?fedora} || 0%{?rhel} >= 7
%post client
%systemd_post %{name}-fd.service
@ -528,54 +467,6 @@ exit 0
%postun storage
%systemd_postun_with_restart %{name}-sd.service
%endif
%if 0%{?rhel} == 6
%post client
/sbin/chkconfig --add bacula-fd
%preun client
if [ "$1" = 0 ]; then
/sbin/service bacula-fd stop >/dev/null 2>&1 || :
/sbin/chkconfig --del bacula-fd
fi
%postun client
if [ "$1" -ge "1" ]; then
/sbin/service bacula-fd condrestart >/dev/null 2>&1 || :
fi
%post director
/sbin/chkconfig --add bacula-dir
%preun director
if [ "$1" = 0 ]; then
/sbin/service bacula-dir stop >/dev/null 2>&1 || :
/sbin/chkconfig --del bacula-dir
fi
%postun director
if [ "$1" -ge "1" ]; then
/sbin/service bacula-dir condrestart >/dev/null 2>&1 || :
fi
%post storage
/sbin/chkconfig --add bacula-sd
%preun storage
if [ "$1" = 0 ]; then
/sbin/service bacula-sd stop >/dev/null 2>&1 || :
/sbin/chkconfig --del bacula-sd
fi
%postun storage
if [ "$1" -ge "1" ]; then
/sbin/service bacula-sd condrestart >/dev/null 2>&1 || :
fi
%endif
%files libs
%license LICENSE
%doc AUTHORS ChangeLog SUPPORT ReleaseNotes LICENSE-FAQ LICENSE-FOSS
@ -656,11 +547,7 @@ fi
%{_sbindir}/bsmtp
%{_sbindir}/bwild
%{_sbindir}/dbcheck
%if 0%{?fedora} || 0%{?rhel} >= 7
%{_unitdir}/bacula-dir.service
%else
%{_initrddir}/bacula-dir
%endif
%files logwatch
%config(noreplace) %{_sysconfdir}/logwatch/conf/logfiles/bacula.conf
@ -689,11 +576,7 @@ fi
%{_sbindir}/bscan
%{_sbindir}/bsdjson
%{_sbindir}/btape
%if 0%{?fedora} || 0%{?rhel} >= 7
%{_unitdir}/bacula-sd.service
%else
%{_initrddir}/bacula-sd
%endif
%files client
%config(noreplace) %{_sysconfdir}/bacula/bacula-fd.conf %attr(640,root,root)
@ -702,11 +585,7 @@ fi
%{_libdir}/bacula/bpipe-fd.so
%{_sbindir}/bacula-fd
%{_sbindir}/bfdjson
%if 0%{?fedora} || 0%{?rhel} >= 7
%{_unitdir}/bacula-fd.service
%else
%{_initrddir}/bacula-fd
%endif
%files console
%config(noreplace) %{_sysconfdir}/bacula/bconsole.conf %attr(640,root,root)
@ -742,6 +621,11 @@ fi
%{_libdir}/nagios/plugins/check_bacula
%changelog
* Tue Jan 12 2021 Simone Caronni <negativo17@gmail.com> - 9.6.7-1
- Update to 9.6.7.
- Drop support for building on CentOS/RHEL 6 and upgrades from version 2.4.
- Trim changelog.
* Wed Oct 07 2020 Simone Caronni <negativo17@gmail.com> - 9.6.6-1
- Update to 9.6.6.
@ -809,593 +693,3 @@ fi
* Sat Jan 12 2019 Simone Caronni <negativo17@gmail.com> - 9.2.1-2
- Make the build succeed also on supported RHEL and Fedora releases.
- Remove Fedora 27 references.
* Mon Aug 20 2018 Simone Caronni <negativo17@gmail.com> - 9.2.1-1
- Update to 9.2.1.
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 9.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
* Tue Jun 26 2018 Simone Caronni <negativo17@gmail.com> - 9.0.8-1
- Update to 9.0.8.
* Fri Jun 15 2018 Simone Caronni <negativo17@gmail.com> - 9.0.7-7
- Fix build on RHEL/CentOS 6.
* Wed Jun 13 2018 Simone Caronni <negativo17@gmail.com> - 9.0.7-6
- Fix typo.
* Wed Jun 13 2018 Simone Caronni <negativo17@gmail.com> - 9.0.7-5
- Restore soname patch and exclude versioned symlink in the files section
to fix Fedora 28.
- Update SPEC file for recent RPM macros.
* Mon Jun 11 2018 Simone Caronni <negativo17@gmail.com> - 9.0.7-4
- Filter out libbaccats from requirements.
* Mon May 14 2018 Simone Caronni <negativo17@gmail.com> - 9.0.7-3
- Re-enable annotated build.
* Mon May 14 2018 Simone Caronni <negativo17@gmail.com> - 9.0.7-2
- Fix bat build on Fedora 28.
- Remove hardcoded compiler settings (#1551679).
* Mon May 14 2018 Simone Caronni <negativo17@gmail.com> - 9.0.7-1
- Update to 9.0.7.
- Do not override libbaccats soname anymore. As of Fedora 28, the RPM assembly
process re-adds the symlink for the missing soname at build time, even if it
is explicitly deleted in the install section.
- Temporarily disable annotated build.
* Wed Feb 07 2018 Josef Ridky <jridky@redhat.com> - 9.0.6-8
- Return support of Qt4 for older releases
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 9.0.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
* Tue Feb 06 2018 Josef Ridky <jridky@redhat.com> - 9.0.6-6
- Build bacula against Qt5.
* Mon Jan 29 2018 Simone Caronni <negativo17@gmail.com> - 9.0.6-5
- Fix tray monitor build on RHEL/CentOS 7.
* Sat Jan 20 2018 Björn Esser <besser82@fedoraproject.org> - 9.0.6-4
- Rebuilt for switch to libxcrypt
* Wed Dec 20 2017 Simone Caronni <negativo17@gmail.com> - 9.0.6-3
- Add missing condition for TCP wrappers build.
* Thu Dec 07 2017 Simone Caronni <negativo17@gmail.com> - 9.0.6-2
- Do not link to TCP wrappers for Fedora 28.
* Thu Dec 07 2017 Simone Caronni <negativo17@gmail.com> - 9.0.6-1
- Update to 9.0.6, supports OpenSSL 1.1.
* Mon Nov 06 2017 Simone Caronni <negativo17@gmail.com> - 9.0.5-1
- Update to 9.0.5.
* Mon Oct 23 2017 Simone Caronni <negativo17@gmail.com> - 9.0.4-2
- Use mariadb-connector-c-devel as build requirement for Fedora 28+ (#1493612).
* Fri Sep 15 2017 Simone Caronni <negativo17@gmail.com> - 9.0.4-1
- Update to 9.0.4.
* Thu Aug 10 2017 Josef Ridky <jridky@redhat.com> - 9.0.3-1
- New upstream release 9.0.3 (#1480230)
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 9.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 9.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
* Mon Jul 24 2017 Simone Caronni <negativo17@gmail.com> - 9.0.2-1
- Update to 9.0.2.
- Update patches.
* Thu Jul 20 2017 Simone Caronni <negativo17@gmail.com> - 9.0.1-2
- Add patch to allow compilation on MariaDB 10.2.
- Make only Fedora 27 require perl-interpreter.
- Adjust categories in desktop files for RHEL 7.
* Tue Jul 18 2017 Simone Caronni <negativo17@gmail.com> - 9.0.1-1
- Update to 9.0.1.
* Tue Jul 11 2017 Simone Caronni <negativo17@gmail.com> - 9.0.0-2
- Fix ppc64le build.
- Fix tray-monitor build. Use source file for tray monitor desktop entry.
* Mon Jul 10 2017 Simone Caronni <negativo17@gmail.com> - 9.0.0-1
- Update to 9.0.0, update all patches.
- Add new utitilies.
- Use source files for desktop and icon of bat.
- Temporarily disable tray-monitor build due to missing files in the source.
- Add fixes for rpmlint.
* Wed Apr 05 2017 Simone Caronni <negativo17@gmail.com> - 7.4.7-2
- Remove all RHEL/CentOS 5 compatibility.
* Thu Mar 16 2017 Jon Ciesla <limburgher@gmail.com> - 7.4.7-1
- Update to 7.4.7.
* Sun Mar 12 2017 Simone Caronni <negativo17@gmail.com> - 7.4.6-1
- Update to 7.4.6.
* Wed Mar 08 2017 Simone Caronni <negativo17@gmail.com> - 7.4.5-2
- Update README.Redhat document.
* Wed Feb 08 2017 Simone Caronni <negativo17@gmail.com> - 7.4.5-1
- Update to 7.4.5.
- Update patches.
* Fri Jan 13 2017 Jon Ciesla <limburgher@gmail.com> - 7.4.4-3
- Move to compat-openssl10 to fix FTBFS, BZ 1412924.
* Thu Jan 12 2017 Igor Gnatenko <ignatenko@redhat.com> - 7.4.4-2
- Rebuild for readline 7.x
* Wed Sep 21 2016 Jon Ciesla <limburgher@gmail.com> - 7.4.4-1
- Update to 7.4.4.
* Mon Jul 25 2016 Simone Caronni <negativo17@gmail.com> - 7.4.3-3
- Add upstream patch to fix el5 i386 builds.
* Wed Jul 20 2016 Simone Caronni <negativo17@gmail.com> - 7.4.3-2
- Remove GCC 6+ workaround bug, reset to default distribution optimizations.
* Tue Jul 19 2016 Jon Ciesla <limburgher@gmail.com> - 7.4.3-1
- Update to 7.4.3.
* Thu Jul 07 2016 Jon Ciesla <limburgher@gmail.com> - 7.4.2-1
- Update to 7.4.2.
* Tue Jul 05 2016 Simone Caronni <negativo17@gmail.com> - 7.4.1-2
- Temporary workaround for GCC bug: http://bugs.bacula.org/view.php?id=2231
* Thu Jun 02 2016 Simone Caronni <negativo17@gmail.com> - 7.4.1-1
- Update to 7.4.1.
* Mon Feb 22 2016 Simone Caronni <negativo17@gmail.com> - 7.4.0-4
- Fix FTBFS on rawhide (#1307338).
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 7.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
* Mon Feb 01 2016 Rex Dieter <rdieter@fedoraproject.org> - 7.4.0-2
- use %%qmake_qt4 macro to ensure proper build flags
* Mon Jan 25 2016 Simone Caronni <negativo17@gmail.com> - 7.4.0-1
- Update to 7.4.0.
- Rebase patches, remove git patch.
* Sun Dec 13 2015 Simone Caronni <negativo17@gmail.com> - 7.2.0-3
- Re-add autoconf patch erraneously removed.
* Fri Dec 11 2015 Simone Caronni <negativo17@gmail.com> - 7.2.0-2
- Add fixes from upstream 7.2 branch.
* Tue Sep 29 2015 Simone Caronni <negativo17@gmail.com> - 7.2.0-1
- Update to 7.2.0.
- Remove bpluginfo(8).
* Wed Jul 15 2015 Marcin Haba <marcin.haba@bacula.pl> - 7.0.5-9
- Use an external icon for tray monitor.
- Add gcc and gcc-c++ to build requires.
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
* Fri May 15 2015 Simone Caronni <negativo17@gmail.com> - 7.0.5-7
- Split logwatch files in its own package. Logwatch should be installed
explicitly by an administrator, and not by defaul. Also, the current logwatch
package for RHEL 7 has a bug and can not be customized:
https://bugzilla.redhat.com/show_bug.cgi?id=1221903
Thanks to Dimitri Maziuk for reporting.
* Tue May 12 2015 Simone Caronni <negativo17@gmail.com> - 7.0.5-6
- Require dejavu-lgc-sans-fonts for graphical programs. Fixes startup of bat on
headless servers without a desktop installed.
* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 7.0.5-5
- Rebuilt for GCC 5 C++11 ABI change
* Mon Mar 02 2015 Simone Caronni <negativo17@gmail.com> - 7.0.5-4
- Fix tray-monitor packaging (again).
* Tue Feb 24 2015 Simone Caronni <negativo17@gmail.com> - 7.0.5-3
- Add license macro.
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild
* Thu Jul 31 2014 Simone Caronni <negativo17@gmail.com> - 7.0.5-1
- Update to 7.0.5.
* Thu Jul 24 2014 Simone Caronni <negativo17@gmail.com> - 7.0.4-3
- Remove RPM filters, add back patch inadvertently removed during 7.0 upstream
release.
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
* Wed Jun 04 2014 Simone Caronni <negativo17@gmail.com> - 7.0.4-1
- Update to 7.0.4.
* Fri May 16 2014 Simone Caronni <negativo17@gmail.com> - 7.0.3-3
- Add versioned library to alternatives system.
* Fri May 16 2014 Simone Caronni <negativo17@gmail.com> - 7.0.3-2
- Filter out libbaccats from auto generated Provides/Obsoletes and add note on
the libbaccats-x.x.x.so shared object name mess.
* Thu May 15 2014 Simone Caronni <negativo17@gmail.com> - 7.0.3-1
- Update to 7.0.3.
* Thu Apr 24 2014 Simone Caronni <negativo17@gmail.com> - 7.0.2-2
- Bug fixes from upstream.
* Thu Apr 03 2014 Simone Caronni <negativo17@gmail.com> - 7.0.2-1
- Update to 7.0.2, drop upstreamed patches.
* Tue Apr 01 2014 Simone Caronni <negativo17@gmail.com> - 7.0.1-2
- Add patch for Nagios plugin.
- Add missing requirement for Nagios plugin folder.
* Tue Apr 01 2014 Simone Caronni <negativo17@gmail.com> - 7.0.1-1
- Update to 7.0.1; remove Python.
- Drop git patch.
* Sun Mar 30 2014 Simone Caronni <negativo17@gmail.com> - 7.0.0-3
- Update git patch.
- Sort file sections.
* Sun Mar 30 2014 Simone Caronni <negativo17@gmail.com> - 7.0.0-2
- Backport changes from git for QT Tray monitor, Nagios plugin and configure
script.
- Removed upstream patches.
* Sun Mar 30 2014 Simone Caronni <negativo17@gmail.com> - 7.0.0-1
- Update to 7.0.0.
- Momentarily disable Nagios plugin and QT tray monitor as they don't build
anymore.
* Tue Aug 06 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-17
- Fix dependencies for devel subpackage.
- Explicitly declare dependency also on libs-sql subpackage where required, so
we can save one extra cpu cycle during the upgrade (...).
- Bat subpackage used to rely on files in %%_docdir for operation, move them
elsewhere. Fixes also Fedora 20 unversioned %%_docdir feature.
- Make sure any package combination results in installed license files.
* Tue Aug 06 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-16
- Remove Fedora 17 conditionals, distribution EOL.
- Remove systemd-sysv dependency as per new packaging guidelines.
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.13-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 5.2.13-14
- Perl 5.18 rebuild
* Mon Jul 15 2013 Petr Hracek <phracek@redhat.com> - 5.2.13-13
- make dependency of bacula packages on bacula-libs RHEL-7 rpmdiff (#881146)
* Thu Jun 27 2013 Petr Hracek <phracek@redhat.com> - 5.2.13-12
- Correct systemd unitfiles permissions
* Tue May 28 2013 Petr Hracek <phracek@redhat.com> - 5.2.13-11
- Fix for nonfree code (#967417)
* Thu May 16 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-10
- Add aarch64 patch (#925072).
- Add bpluginfo commmand.
* Tue Apr 16 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-9
- Systemd service files cleanup, thanks Michal Schmidt (#952334)
* Mon Apr 08 2013 Petr Hracek <phracek@redhat.com> - 5.2.13-8
- Correcting options and man pages (#948837)
* Mon Apr 08 2013 Petr Hracek <phracek@redhat.com> - 5.2.13-7
- include /var/log/bacula/*.log in logwatch (#924797)
* Mon Mar 04 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-6
- Add mt-st requirement to storage package; update quick start docs.
* Tue Feb 26 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-5
- Improve documentation.
* Mon Feb 25 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-4
- Fix director reload command.
- Adjust to 5.2.13 permission changes.
* Fri Feb 22 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-3
- Renamed README to README.Redhat.
* Thu Feb 21 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-2
- Removed bacula-checkconf stuff.
- Separated postgresql, sqlite3 and mysql how to from README.
* Wed Feb 20 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-1
- Update to 5.2.13, drop upstreamed patch.
- Remove Fedora 16 (EOL) checks.
* Sun Feb 10 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 5.2.12-9
- remove vendor tag from desktop file. https://fedorahosted.org/fpc/ticket/247
* Fri Feb 08 2013 Petr Hracek <phracek@redhat.com> - 5.2.12-8
- Fix: (#881146) syntax error in update_postgresql_tables_10_to_11.in
* Mon Feb 04 2013 Petr Hracek <phracek@redhat.com> - 5.2.12-7
- Fix (#905309) e_msg: Process /usr/sbin/bat was killed by signal 11 (SIGSEGV)
* Thu Jan 10 2013 Simone Caronni <negativo17@gmail.com> - 5.2.12-6
- Added missing line in bacula-sd SysV init script.
* Wed Jan 09 2013 Simone Caronni <negativo17@gmail.com> - 5.2.12-5
- Move unversioned libraries into the devel package (#889244).
* Wed Jan 09 2013 Simone Caronni <negativo17@gmail.com> - 5.2.12-4
- Updated SysV init script according to Fedora template:
https://fedoraproject.org/wiki/Packaging:SysVInitScript
* Wed Oct 17 2012 Simone Caronni <negativo17@gmail.com> - 5.2.12-3
- Add sample-query.sql file to Director's docs.
* Wed Oct 17 2012 Simone Caronni <negativo17@gmail.com> - 5.2.12-2
- Fix fedpkg checks. Requires fedpkg > 1.10:
http://git.fedorahosted.org/cgit/fedpkg.git/commit/?id=11c46c06a3c9cc2f58d68aea964dd37dc028e349
- Change systemd requirements as per new package guidelines.
* Fri Sep 14 2012 Simone Caronni <negativo17@gmail.com> - 5.2.12-1
- Update to 5.2.12, containing only patches from 5.2.11-4.
* Fri Sep 14 2012 Simone Caronni <negativo17@gmail.com> - 5.2.11-4
- Add a sleep timer for RHEL init scripts restart as Debian does.
Problems verified on the sd exiting too early on VMs and slow boxes.
* Thu Sep 13 2012 Simone Caronni <negativo17@gmail.com> - 5.2.11-3
- Introduce last minute critical patches.
* Thu Sep 13 2012 Simone Caronni <negativo17@gmail.com> - 5.2.11-2
- Do not remove user on common subpackage uninstall.
* Tue Sep 11 2012 Simone Caronni <negativo17@gmail.com> - 5.2.11-1
- Update to 5.2.11.
- Removed upstreamed patches.
- Updated bat patch.
- Removed useless docs.
* Tue Sep 11 2012 Simone Caronni <negativo17@gmail.com> - 5.2.10-7
- Add Fedora 18 systemd macros.
- Remove old distribution checks.
* Wed Aug 29 2012 Simone Caronni <negativo17@gmail.com> - 5.2.10-6
- Remove user definition during prep so they are not used during the install
phase (rhbz#852732).
- Enforce permissions in default config files.
* Fri Jul 20 2012 Simone Caronni <negativo17@gmail.com> - 5.2.10-5
- Removed make_catalog_backup bash script, leave only the default perl one (rhbz#456612,665498).
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
* Mon Jul 16 2012 Simone Caronni <negativo17@gmail.com> - 5.2.10-3
- Updated log path patch (rhbz#837706).
* Tue Jul 10 2012 Simone Caronni <negativo17@gmail.com> - 5.2.10-2
- Add nss-lookup.target as required to service files (rhbz#838828).
- Fix bsmtp upstream bug sending mails to ipv4/ipv6 hosts.
* Mon Jul 02 2012 Simone Caronni <negativo17@gmail.com> - 5.2.10-1
- Update to 5.2.10.
* Tue Jun 19 2012 Simone Caronni <negativo17@gmail.com> - 5.2.9-2
- Remove _isa on BuildRequires.
- Remove useless code in SysV init scripts.
* Tue Jun 12 2012 Simone Caronni <negativo17@gmail.com> - 5.2.9-1
- Update to 5.2.9, remove termlib patch.
* Mon Jun 11 2012 Simone Caronni <negativo17@gmail.com> - 5.2.8-2
- Fix console build on RHEL 5.
* Mon Jun 11 2012 Simone Caronni <negativo17@gmail.com> - 5.2.8-1
- Update to 5.2.8.
- Removed upstram xattr patch.
- Added database backend detection to bacula-libs-sql for upgrades from
<= 5.0.3-28-fc16 and 5.2.6-1.fc17.
* Fri Jun 08 2012 Simone Caronni <negativo17@gmail.com> - 5.2.7-4
- Make a note about mt-st and mtx (bz#829888).
- Update README.Fedora with current information.
- Fix bacula-sd group on Fedora and RHEL >= 6 (bz#829509).
* Wed Jun 06 2012 Simone Caronni <negativo17@gmail.com> - 5.2.7-3
- Final xattr patch from upstream for bz#819158.
- Switch alternatives to point to the unversioned system libraries.
Pointed out by the closely related bug #829219.
* Mon Jun 04 2012 Simone Caronni <negativo17@gmail.com> - 5.2.7-2
- Remove python-devel test leftover.
- Updated bat build patch to add support for RHEL 6.
* Mon Jun 04 2012 Simone Caronni <negativo17@gmail.com> - 5.2.7-1
- Updated to 5.2.7, removed patches included upstream.
- Removed python-devel patch, fix included in python package.
- Replaced tabs with blanks in spec file (rpmlint).
* Mon May 28 2012 Simone Caronni <negativo17@gmail.com> - 5.2.6-6
- Even if pulled in by dependencies, re-add explict BR on systemd-units.
- Remove .gz suffix for man pages in file lists as per packaging guidelines.
* Mon May 28 2012 Simone Caronni <negativo17@gmail.com> - 5.2.6-5
- Patch for bug #819158.
- Updated hostname patch with official fix.
- Sorted all BuildRequires and removed useless systemd-units.
* Wed May 23 2012 Simone Caronni <negativo17@gmail.com> - 5.2.6-4
- Added python config workaround for Fedora 16.
* Mon May 21 2012 Simone Caronni <negativo17@gmail.com> - 5.2.6-3
- Removed _install, _mkdir and _make macro.
- Added _isa to BuildRequires.
- Removed lzo-devel option for RHEL 4 (EOL).
* Fri Mar 16 2012 Simone Caronni <negativo17@gmail.com> - 5.2.6-2
- Move libbaccats and libbacsql into bacula-libs-sql package so only
Director and Storage daemons pull in SQL dependencies:
http://old.nabble.com/Standalone-client-question-td33495990.html
* Wed Feb 22 2012 Simone Caronni <negativo17@gmail.com> - 5.2.6-1
- Update to 5.2.6.
* Fri Feb 10 2012 Simone Caronni <negativo17@gmail.com> - 5.2.5-3
- WX and gnome console should be upgraded from bconsole, not
libraries.
* Mon Jan 30 2012 Simone Caronni <negativo17@gmail.com> - 5.2.5-2
- License has changed to AGPLv3 in 5.0.3. Thanks Erinn.
- Fix ldconfig/alternatives symlinks on removal of packages and
upgrades from recent f15/f16 changes.
* Thu Jan 26 2012 Simone Caronni <negativo17@gmail.com> - 5.2.5-1
- Update to 5.2.5.
- Change the alternative library to the base shared object name
so the preference set is not lost when changing releases.
* Mon Jan 23 2012 Simone Caronni <negativo17@gmail.com> - 5.2.4-4
- Remove old BuildRequires for bacula-docs.
* Fri Jan 20 2012 Simone Caronni <negativo17@gmail.com> - 5.2.4-3
- Fix for rhbz#728693.
* Fri Jan 20 2012 Simone Caronni <negativo17@gmail.com> - 5.2.4-2
- Close bugs rhbz#708712, rhbz#556669, rhbz#726147
* Wed Jan 18 2012 Simone Caronni <negativo17@gmail.com> - 5.2.4-1
- Update to 5.2.4, rework libbaccats installation as they have
fixed the soname library problem.
* Thu Jan 12 2012 Simone Caronni <negativo17@gmail.com> - 5.2.3-8
- Fix tray monitor desktop file.
* Wed Jan 11 2012 Simone Caronni <negativo17@gmail.com> - 5.2.3-7
- Split off bacula-docs subpackage.
* Thu Jan 05 2012 Simone Caronni <negativo17@gmail.com> - 5.2.3-6
- Make docs conditional at build for testing.
- Add devel subpackage.
* Tue Jan 03 2012 Simone Caronni <negativo17@gmail.com> - 5.2.3-5
- Trim changelog.
- Merge bacula-director backends and move libbacats alternatives
to bacula-libs.
- Move bscan to bacula-storage now that is dependent only on
bacula-libs.
- Added README.Fedora.
* Tue Dec 20 2011 Simone Caronni <negativo17@gmail.com> - 5.2.3-4
- Changing uid from 33 per previous discussion, static uid
already allocated is 133:
"cat /usr/share/doc/setup-2.8.36/uidgid | grep bacula"
* Mon Dec 19 2011 Simone Caronni <negativo17@gmail.com> - 5.2.3-3
- Remove fedora-usermgmt entirely, see thread at:
http://lists.fedoraproject.org/pipermail/packaging/2011-December/008034.html
* Mon Dec 19 2011 Simone Caronni <negativo17@gmail.com> - 5.2.3-2
- Remove leftover users when removing bacula-common.
- Allow building "--without fedora" to avoid RHEL dependency on EPEL:
http://fedoraproject.org/wiki/PackageUserCreation
* Mon Dec 19 2011 Simone Caronni <negativo17@gmail.com> - 5.2.3-1
- Updated to 5.2.3.
- Remove fedora-usermgmt from libs Requires section.
* Sun Dec 11 2011 Simone Caronni <negativo17@gmail.com> - 5.2.2-11
- Add bat html docs so the help button works.
- Minor packaging changes.
- Default permissions on bconsole and bat.
- Use localhost as default on config files instead of patching fake
example.com hostnames.
- Add QT tray monitor.
* Sat Dec 10 2011 Simone Caronni <negativo17@gmail.com> - 5.2.2-10
- Added patch for mysql 5.5.18 from Oliver Falk.
* Wed Dec 07 2011 Simone Caronni <negativo17@gmail.com> - 5.2.2-9
- Add sample-query.sql as config file.
- Small log changes.
* Wed Dec 07 2011 Simone Caronni <negativo17@gmail.com> - 5.2.2-8
- Fixed building on RHEL/CentOS 4.
- Split out libs package to remove dependency on bacula-common for
bconsole, bat and check_bacula.
- Fix typo in post scriptlet for director-sqlite.
* Tue Dec 06 2011 Simone Caronni <negativo17@gmail.com> - 5.2.2-7
- Added libcap for POSIX.1e capabilities in bacula-fd (5.0.0 feature).
- Allow systemd files to read options set in the sysconfig
configuration files like SysV scripts to enable capabilities.
- Set capabilities as optional for now.
* Mon Dec 05 2011 Simone Caronni <negativo17@gmail.com> - 5.2.2-6
- Removed leftover files and small rpmlint fixes.
- Additional file moves between packages.
- Enabled LZO compression (5.2.1 feature).
* Mon Dec 05 2011 Simone Caronni <negativo17@gmail.com> - 5.2.2-5
- Remove redundant user/group in service files.
- Reduce patching for what can be passed through configure.
- Remove dsolink patch, not needed anymore.
* Fri Dec 02 2011 Simone Caronni <negativo17@gmail.com> - 5.2.2-4
- Rename storage-common to storage and make it provide storage-common.
- Move bscan to director-common.
- Move storage scripts to storage.
- Add html docs.
- Install dummy catalogue library and mark it as ghost.
* Thu Dec 01 2011 Simone Caronni <negativo17@gmail.com> - 5.2.2-3
- Add missing conditional for bat in the build section.
- Make bat require qt4-devel on build (rhel 5 fix).
- Bumped requirement for qt >= 4.6.2 for 5.2.2.
- Renamed bacula-config.patch to bacula-5.2.2-config.patch as it
always changes.
- Fix installation of bat and check_bacula binaries. Enabling
libtool for bpipe-fd.so produces binaries under .libs.
- Removed fedora-usermgmt requirement for director-common.
- Removed examples from docs and make them "noarch".
- Fix bacula-console requirements.
- Fix nagios plugin summary.
- Removed checkconf functions from SysV init files and replace
the call with the script used in systemd service files. Make
the script available in all builds.
- Make docs NoArch where supported.
* Thu Dec 1 2011 Tom Callaway <spot@fedoraproject.org> - 5.2.2-2
- resolve broken dependency issues
* Tue Nov 29 2011 Tom Callaway <spot@fedoraproject.org> - 5.2.2-1
- Update to 5.2.2
- minor spec cleanups, conditionalized support for systemd
* Fri Nov 04 2011 Simone Caronni <negativo17@gmail.com> - 5.2.1-1
- Updated to 5.2.1.
- Reworked and removed some patches for 5.2.1 codebase.
- Reworked bat installation.
- Removed sqlite2 support.
- Removed all the fancy database backend rebuilding.
- Disabled libtool for bpipe-fd.so.
- Passed plugins dir as libdir/bacula.
- Added sql libs to alternatives.
- Disabled traymonitor.
- Minor fixes to spec file, rpmlint fixes.
- Nagios patch for Enterprise FDs.
- Removed all gui/web stuff.
- Removed a lot of comments.
- Conditional on Fedora 11 / RHEL 6 for bat build.
- Obsolete bacula-sysconfdir.
- Removed bwxconsole.

View File

@ -1 +1 @@
SHA512 (bacula-9.6.6.tar.gz) = 1b669bbf1e54f40e0426603601a4751c42101985de901f951a68add7644971d48615b3089c65fafd444c762c3d82b67cafdcae9636e8a19af8fd94ae631c315a
SHA512 (bacula-9.6.7.tar.gz) = 27551faa2e4b13c6c2b9a2500f1253dfa5ee84929013491a7bf512d965d655c5af78b08201090474bc9b29827ca0a5c1c5a23a55712a1f739f37de75449cfd4d